Get Active Redemptions (Redemptions 1.0)
This API returns all of the active redemptions of the user.
Query Parameters
- Type: stringemailrequired
The email of the user. If you send this parameter, do not include the phone parameter.
- Type: stringphonerequired
The phone number of the user. If you send this parameter, do not include the email parameter.
Headers
- Type: stringAuthorizationrequired
This is a combination of unique API key as well as business key (UUID) as the Authorization header.
Responses
- application/json
Request Example for get/api/pos/users/active_redemptions
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api/pos/users/active_redemptions?email=test%40example.com&phone=1111111111' \
--header 'Authorization: Token token=LOCATION_KEY_GOES_HERE, btoken=BUSINESS_KEY_GOES_HERE'
[
{
"internal_tracking_code": "7738989",
"type_of_redemption": "BankedRewardRedemption",
"expiring_on": "2019-11-21T17:42:59Z"
},
{
"internal_tracking_code": "8106394",
"type_of_redemption": "RewardRedemption",
"expiring_on": "2019-11-21T17:44:41Z",
"redeemable": {
"redeemable_image_url": "IMAGE_URL_GOES_HERE",
"redeemable_properties": null,
"redeemable_id": "REDEEMABLE_ID_GOES_HERE",
"name": "Large Pizza",
"description": "test",
"points_required_to_redeem": 100
}
}
]